<template>
  <div v-if="$route.name=='showLogin' || $route.name=='showRegister'">
    <router-view></router-view>
  </div>
  <div v-else class="wrapper">
    <!-- Navbar -->
      <Topnav/>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <Sidenav/>

    <!-- Content Wrapper. Contains page content -->
    <router-view></router-view>
    <!-- /.content-wrapper -->

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
      <div class="p-3">
        <h5>Title</h5>
        <p>Sidebar content</p>
      </div>
    </aside>
    <!-- /.control-sidebar -->

    <!-- Main Footer -->
    <Footer/>
  </div>
</template>

<script>
  export default {
    name: 'App'
  }
</script>
